
package com.tmerclub.cloud.order.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 订单结算表
 *
 * @author tmerclub
 * @date 2020-12-05 14:13:50
 */
public class OrderSettlement extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 支付结算单据ID
     */
    private Long settlementId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 支付单号
     */
    private Long payId;

    /**
     * 支付单号集合
     */
    private String payIds;

    /**
     * 是否清算 0:否 1:是
     */
    private Integer isClearing;

    /**
     * 支付积分
     */
    private Long payScore;

    /**
     * 支付金额
     */
    private Long payAmount;

    /**
     * 清算时间
     */
    private Date clearingTime;

    /**
     * 版本号
     */
    private Integer version;

    /**
     * 支付方式
     */
    private Integer payType;

    public String getPayIds() {
        return payIds;
    }

    public void setPayIds(String payIds) {
        this.payIds = payIds;
    }

    public Long getSettlementId() {
        return settlementId;
    }

    public void setSettlementId(Long settlementId) {
        this.settlementId = settlementId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Long getPayId() {
        return payId;
    }

    public void setPayId(Long payId) {
        this.payId = payId;
    }

    public Integer getIsClearing() {
        return isClearing;
    }

    public void setIsClearing(Integer isClearing) {
        this.isClearing = isClearing;
    }

    public Long getPayScore() {
        return payScore;
    }

    public void setPayScore(Long payScore) {
        this.payScore = payScore;
    }

    public Long getPayAmount() {
        return payAmount;
    }

    public void setPayAmount(Long payAmount) {
        this.payAmount = payAmount;
    }

    public Date getClearingTime() {
        return clearingTime;
    }

    public void setClearingTime(Date clearingTime) {
        this.clearingTime = clearingTime;
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    @Override
    public String toString() {
        return "OrderSettlement{" +
                "settlementId=" + settlementId +
                ", userId=" + userId +
                ", orderId=" + orderId +
                ", payId=" + payId +
                ", payIds='" + payIds + '\'' +
                ", isClearing=" + isClearing +
                ", payScore=" + payScore +
                ", payAmount=" + payAmount +
                ", clearingTime=" + clearingTime +
                ", version=" + version +
                ", payType=" + payType +
                '}';
    }
}
